Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_honor do
      namespace :back_end do
	  
        match 'honor_setting' => "honors#honor_setting" ,:as => :honor_setting
		  		
        resources :honors do
          collection do
            get 'delete'
          end
		  
          match "honor_category_quick_add" => "honors#honor_category_quick_add" ,:as => :honor_category_quick_add
          match "honor_category_quick_edit" => "honors#honor_category_quick_edit" ,:as => :honor_category_quick_edit
        end
		resources :honor_categorys
        resources :tags
      end
      namespace :front_end do
        resources :honors
      end
      namespace :plugin do
        resources :honors
      end
      namespace :widget do
        match "honors" => "honors#index"
        match "home_list" => "honors#home_list"
        match "reload_honors" => "honors#reload_honors"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
